Code Reaction
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's code reactions
GET /api/v2/strategy/reaction/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's code reactions
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the reaction
12The id of the data hook witch will be used to get data
13Set true to enable signal generation
trueThe id of the bot hook where signal will be sent (required if send_signal is true)
12The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)
BTCUSDT,ETHUSDTSet how often the reaction will check for new signals. eg. 10 means 10 in 1 second
10The JavaScript code of the strategy
(()=>{ $.Strategy.action($.Action.LONG); })();Set true if you want to use price ($.Price) in code
trueThe id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)
12The symbol of the price (required if use_price is true)
BTCUSDTCode reaction created successfully
Missing required fields, invalid code, or reaction limit reached
Exchange, webhook, or data hook not found
POST /api/v2/strategy/reaction/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 246
{
"name": "My strategy",
"folder_id": 12,
"data_webhook_id": 13,
"send_signal": true,
"webhook_id": 12,
"symbol": "BTCUSDT,ETHUSDT",
"delay": 10,
"code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
"use_price": true,
"exchange_id": 12,
"price_symbol": "BTCUSDT"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Code reaction details with storage
Missing id
Strategy not found
GET /api/v2/strategy/reaction/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the reaction
12The id of the data hook witch will be used to get data
13Set true to enable signal generation
trueThe id of the bot hook where signal will be sent (required if send_signal is true)
12The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)
BTCUSDT,ETHUSDTSet how often the reaction will check for new signals. eg. 10 means 10 in 1 second
10The JavaScript code of the strategy
(()=>{ $.Strategy.action($.Action.LONG); })();Set true if you want to use price ($.Price) in code
trueThe id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)
12The symbol of the price (required if use_price is true)
BTCUSDTCode reaction updated successfully
SuccessMissing id, invalid code, or validation errors
Reaction, exchange, webhook, or data hook not found
PUT /api/v2/strategy/reaction/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 246
{
"name": "My strategy",
"folder_id": 12,
"data_webhook_id": 13,
"send_signal": true,
"webhook_id": 12,
"symbol": "BTCUSDT,ETHUSDT",
"delay": 10,
"code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
"use_price": true,
"exchange_id": 12,
"price_symbol": "BTCUSDT"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Code reaction deleted successfully
SuccessMissing id
Strategy not found
DELETE /api/v2/strategy/reaction/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Reaction ID to duplicate
Code reaction duplicated successfully
Missing id or reaction limit reached
POST /api/v2/strategy/reaction/code/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13
{
"id": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to reset triggers
trueSet true to reset store
trueTriggers and/or storage reset successfully
SuccessMissing id, invalid options, or nothing to reset
Strategy not found
PUT /api/v2/strategy/reaction/code/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"resetTriggers": true,
"resetStore": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing id, invalid status, or reaction limit reached
Strategy not found
PUT /api/v2/strategy/reaction/code/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to make the strategy public
truePublic visibility updated successfully
SuccessMissing id or invalid public flag
Strategy not found
PUT /api/v2/strategy/reaction/code/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"isPublic": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Storage deleted successfully
SuccessMissing id
Strategy not found
DELETE /api/v2/strategy/reaction/code/{id}/store HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's code reaction folders
GET /api/v2/strategy/reaction/code/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's code reaction folders
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder name (optional, auto-generated if not provided)
Folder created successfully
Invalid name or max folder limit reached
POST /api/v2/strategy/reaction/code/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of code reactions in root folder
GET /api/v2/strategy/reaction/code/folder/root HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of code reactions in root folder
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
Folder with its items
Missing id
Folder not found
GET /api/v2/strategy/reaction/code/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
New folder name (optional, auto-generated if not provided)
Folder updated successfully
Missing id, invalid name, or folder not found
Folder not found
PUT /api/v2/strategy/reaction/code/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"message": "text"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
Folder deleted successfully
Missing id, folder not found, or folder is not empty
Folder not found
DELETE /api/v2/strategy/reaction/code/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "text"
}Last updated